package com.dingtalk.h5app.quickstart;


import org.quartz.*;
import org.quartz.impl.StdSchedulerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 启动入口
 *
 * @author openapi@dingtalk
 * @date 2020/2/4
 */
@EnableScheduling
@EnableAsync
@SpringBootApplication
public class Application {
    public static void main(String[] args) throws SchedulerException {
        SpringApplication.run(Application.class, args);
    }
}
